"""empty message

Revision ID: 54606dbd2c99
Revises: 
Create Date: 2023-06-14 01:40:14.944954

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '54606dbd2c99'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_detail', schema=None) as batch_op:
        batch_op.alter_column('user_address',
               existing_type=sa.VARCHAR(length=200),
               nullable=True)
        batch_op.alter_column('user_branch',
               existing_type=sa.VARCHAR(length=100),
               nullable=True)
        batch_op.alter_column('customer_id',
               existing_type=sa.VARCHAR(length=50),
               nullable=True)
        batch_op.alter_column('account_number',
               existing_type=sa.VARCHAR(length=50),
               nullable=True)
        batch_op.alter_column('currency',
               existing_type=sa.VARCHAR(length=50),
               nullable=True)
        batch_op.alter_column('iban',
               existing_type=sa.VARCHAR(length=50),
               nullable=True)
        batch_op.alter_column('month',
               existing_type=sa.VARCHAR(length=50),
               nullable=True)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_detail', schema=None) as batch_op:
        batch_op.alter_column('month',
               existing_type=sa.VARCHAR(length=50),
               nullable=False)
        batch_op.alter_column('iban',
               existing_type=sa.VARCHAR(length=50),
               nullable=False)
        batch_op.alter_column('currency',
               existing_type=sa.VARCHAR(length=50),
               nullable=False)
        batch_op.alter_column('account_number',
               existing_type=sa.VARCHAR(length=50),
               nullable=False)
        batch_op.alter_column('customer_id',
               existing_type=sa.VARCHAR(length=50),
               nullable=False)
        batch_op.alter_column('user_branch',
               existing_type=sa.VARCHAR(length=100),
               nullable=False)
        batch_op.alter_column('user_address',
               existing_type=sa.VARCHAR(length=200),
               nullable=False)

    # ### end Alembic commands ###
